Thread: Please Help ME!
View Single Post
  #8  
Old 01-20-2010, 09:49 AM
Jared Jared is offline
Avid
 
Join Date: Dec 2008
Location: CA
Posts: 86
Default Re: Please Help ME!

Try using the 8.0.3 updater to install Pro Tools on Snow Leopard. There is no Pro Tools Essential 8.0 or 8.0.1; 8.0.2 is the first version released.
Reply With Quote